package ch.ethz.ssh2.packets;

import java.io.IOException;

/**
 * PacketSessionStartShell.
 * 
 * @author Christian Plattner, plattner@inf.ethz.ch
 * @version $Id: PacketSessionStartShell.java,v 1.1 2005/05/26 14:53:26 cplattne Exp $
 */
public class PacketSessionStartShell
{
	byte[] payload;

	public int recipientChannelID;
	public boolean wantReply;

	public PacketSessionStartShell(int recipientChannelID, boolean wantReply)
	{
		this.recipientChannelID = recipientChannelID;
		this.wantReply = wantReply;
	}

	public PacketSessionStartShell(byte payload[], int off, int len) throws IOException
	{
		throw new IOException("Not implemented!!");
	}
	
	public byte[] getPayload()
	{
		if (payload == null)
		{
			TypesWriter tw = new TypesWriter();
			tw.writeByte(Packets.SSH_MSG_CHANNEL_REQUEST);
			tw.writeUINT32(recipientChannelID);
			tw.writeString("shell");
			tw.writeBoolean(wantReply);
			payload = new byte[tw.length()];
			tw.getBytes(payload);
		}
		return payload;
	}
}
